package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.security.crypto.DESEntry;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/DESEncryptAction.class */
public class DESEncryptAction extends LifeAction {
    private String keyType;
    private String valueText;
    private String desText;
    private static final String SQL_SECRET_KEY = "SELECT KEY_VALUE FROM SECRET_KEY WHERE KEY_TYPE = ?";

    /* JADX WARN: Not initialized variable reg: 0, insn: 0x0045: INVOKE (r0 I:java.lang.Exception) VIRTUAL call: java.lang.Exception.printStackTrace():void A[MD:():void (c)], block:B:12:0x0044 */
    public String execute(Context context) throws GENEException {
        Exception printStackTrace;
        try {
            if (this.keyType == null || "".equals(this.keyType)) {
                throw new GENEException("IM05001", "未设置密钥类型!");
            }
            String key = getKey(this.keyType);
            String value = (String) context.getDataValue(this.valueText);
            context.setDataValue(this.desText, encrypt(key, value));
            return "0";
        } catch (Exception e) {
            printStackTrace.printStackTrace();
            throw new GENEException("IM05002", "DES加密失败!");
        }
    }

    public static String encrypt(String key, String clearText) {
        if (key == null || clearText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byte2 = new byte[3000];
        byte[] byte1 = clearText.getBytes();
        int i1 = m.ENCRYPT(b, byte1, byte2, byte1.length);
        String digestHexStr = "";
        for (int i = 0; i < i1; i++) {
            digestHexStr = String.valueOf(digestHexStr) + DESEntry.byteHEX(byte2[i]);
        }
        return digestHexStr;
    }

    public static String encrypt(String key, byte[] clearText) {
        if (key == null || clearText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byte2 = new byte[3000];
        int i1 = m.ENCRYPT(b, clearText, byte2, clearText.length);
        String digestHexStr = "";
        for (int i = 0; i < i1; i++) {
            digestHexStr = String.valueOf(digestHexStr) + DESEntry.byteHEX(byte2[i]);
        }
        return digestHexStr;
    }

    public static byte[] getEncryptByte(String key, byte[] srcByte) {
        byte[] byte2 = new byte[3000];
        int i = new DESEntry().ENCRYPT(DESEntry.hexStr2ByteArr(key), srcByte, byte2, srcByte.length);
        byte[] destByte = new byte[i];
        for (int j = 0; j < i; j++) {
            destByte[j] = byte2[j];
        }
        return destByte;
    }

    public static String decrypt(String key, String cipherText) {
        if (key == null || cipherText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byteMiW = DESEntry.hexStr2ByteArr(cipherText);
        byte[] byteMingW = new byte[3000];
        int i = m.DECRYPT(b, byteMingW, byteMiW, byteMiW.length);
        return new String(byteMingW, 0, i);
    }

    public static String decryptKey(String key, String keyText) {
        if (key == null || keyText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        String digestHexStr = "";
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byteMiW = DESEntry.hexStr2ByteArr(keyText);
        byte[] byteMingW = new byte[3000];
        int i2 = m.DECRYPT(b, byteMingW, byteMiW, byteMiW.length);
        for (int i = 0; i < i2; i++) {
            digestHexStr = String.valueOf(digestHexStr) + DESEntry.byteHEX(byteMingW[i]);
        }
        if (digestHexStr.length() > 16) {
            digestHexStr = digestHexStr.substring(0, 15);
        }
        return digestHexStr;
    }

    public static String decrypt(String key, byte[] cipherText) {
        if (key == null || cipherText == null) {
            return null;
        }
        DESEntry m = new DESEntry();
        byte[] b = DESEntry.hexStr2ByteArr(key);
        byte[] byteMingW = new byte[3000];
        int i = m.DECRYPT(b, byteMingW, cipherText, cipherText.length);
        return new String(byteMingW, 0, i);
    }

    public static String getKey(String keyType) throws GENEException {
        Exception exc = null;
        Connection connection = null;
        try {
            try {
                connection = LifeDBAccess.getConnection();
                List inputList = new ArrayList();
                new ArrayList();
                inputList.add(keyType);
                List resultList = LifeDBAccess.queryMultipleResult(connection, SQL_SECRET_KEY, inputList, 1);
                if (resultList.size() <= 0) {
                    LifeDBAccess.releaseConnection(connection);
                    return null;
                }
                String str = (String) ((List) resultList.get(0)).get(0);
                LifeDBAccess.releaseConnection(connection);
                return str;
            } catch (Exception e) {
                exc.printStackTrace();
                LifeDBAccess.releaseConnection(connection);
                return null;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection(connection);
            throw th;
        }
    }

    public String getDesText() {
        return this.desText;
    }

    public void setDesText(String desText) {
        this.desText = desText;
    }

    public String getKeyType() {
        return this.keyType;
    }

    public void setKeyType(String keyType) {
        this.keyType = keyType;
    }

    public String getValueText() {
        return this.valueText;
    }

    public void setValueText(String valueText) {
        this.valueText = valueText;
    }

    public static void main(String[] args) {
        String miwen = encrypt("A6F84A769AAAEA3E", "44444");
        String mingwen = decrypt("A6F84A769AAAEA3E", miwen);
        System.out.println(miwen);
        System.out.println(mingwen);
    }
}
